Status: Resolved Priority: Should have
Author: Marc Neuhaus Category:
Created: 2012-04-30 Assigned To: Bastian Waidelich
Updated: 2012-05-29 Due date:
Subject: The action URI of a form should be equal to the request URI
Description

The action target for the Forms is always directed to the index action in the context of the BackendModule.

Since the Form should always have the current action as target i've attached a diff to set the actionUri in the FormViewHelper
automatically.

Associated revisions
Revision 5db1a4e5 - 2012-05-02 19:05 - Bastian Waidelich

[BUGFIX] The action URI of a form should be equal to the request URI

Currently the action URI of a form is created by the UriBuilder thus
using the Routing framwork. This can lead to missing arguments and
non-resolving routes.

This fixes this by overriding the setFormActionUri() method of the
FormViewHelper setting the action attribute of the form tag to the
requested URI

Change-Id: I65f7c78f695e025475426284477ba5eb4dffd4ae
Fixes: #36723

History
#1 - 2012-05-02 17:56 - Bastian Waidelich
- Subject changed from Wrong Form action in BackenModule Context to The action URI of a form should be equal to the request URI
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2012-05-02 19:05 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10938

#3 - 2012-05-02 19:06 - Bastian Waidelich
- Status changed from Accepted to Under Review

#4 - 2012-05-29 09:29 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Files

2015-08-03 1/2

http://review.typo3.org/10938


FormViewHelper.diff 516 Bytes 2012-04-30 Marc Neuhaus

2015-08-03 2/2


